#ifndef ANDROIDAPPLICATIONCOMPONENT_H_
#define ANDROIDAPPLICATIONCOMPONENT_H_

#include <set>
#include "component.h"

class AndroidApplicationComponent: public Component
{
public:
	class Loader: public Msp::DataFile::DerivedObjectLoader<AndroidApplicationComponent, Component::Loader>
	{
	public:
		Loader(AndroidApplicationComponent &);

	private:
		void permission(const std::string &);
	};

private:
	std::set<std::string> permissions;

public:
	AndroidApplicationComponent(SourcePackage &, const std::string &);

	virtual void create_targets() const;
};

#endif
